/**
 * @author @thkruz Theodore Kruczek
 * @license AGPL-3.0-or-later
 * @copyright (c) 2020-2024 Theodore Kruczek
 *
 * Orbital Object ToolKit is free software: you can redistribute it and/or modify it under the
 * terms of the GNU Affero General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * Orbital Object ToolKit is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with
 * Orbital Object ToolKit. If not, see <http://www.gnu.org/licenses/>.
 */
import { Sensor } from 'ootk-core';
export class DetailedSensor extends Sensor {
    country;
    latRad;
    lonRad;
    shortName;
    beamwidth;
    changeObjectInterval;
    linkAehf;
    linkGalileo;
    linkIridium;
    linkStarlink;
    linkWgs;
    static;
    sensorId;
    url;
    volume;
    zoom;
    band;
    objName;
    uiName;
    system;
    operator;
    constructor(info) {
        super(info);
        this.country = info.country;
        this.latRad = (info.lat * (Math.PI / 180));
        this.lonRad = (info.lon * (Math.PI / 180));
        this.shortName = info.shortName;
        this.beamwidth = info.beamwidth;
        this.changeObjectInterval = info.changeObjectInterval;
        this.linkAehf = info.linkAehf;
        this.linkGalileo = info.linkGalileo;
        this.linkIridium = info.linkIridium;
        this.linkStarlink = info.linkStarlink;
        this.linkWgs = info.linkWgs;
        this.static = info.static;
        this.sensorId = info.sensorId;
        this.url = info.url;
        this.volume = info.volume;
        this.zoom = info.zoom;
        this.band = info.band;
        this.objName = info.objName;
        this.uiName = info.uiName;
        this.system = info.system;
        this.operator = info.operator;
    }
}
//# sourceMappingURL=DetailedSensor.js.map